Alter tables
curl --request PATCH \
--url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operations": [
{
"column_to_delete": "<string>",
"column_to_add": "<string>",
"column_type": "<string>",
"nullable": true,
"comment": "<string>",
"old_column_name": "<string>",
"new_column_name": "<string>",
"column_name": "<string>",
"new_column_type": "<string>",
"new_table_name": "<string>"
}
]
}
'import requests
url = "https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}"
payload = { "operations": [
{
"column_to_delete": "<string>",
"column_to_add": "<string>",
"column_type": "<string>",
"nullable": True,
"comment": "<string>",
"old_column_name": "<string>",
"new_column_name": "<string>",
"column_name": "<string>",
"new_column_type": "<string>",
"new_table_name": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operations: [
{
column_to_delete: '<string>',
column_to_add: '<string>',
column_type: '<string>',
nullable: true,
comment: '<string>',
old_column_name: '<string>',
new_column_name: '<string>',
column_name: '<string>',
new_column_type: '<string>',
new_table_name: '<string>'
}
]
})
};
fetch('https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>",
"altered_at": "2023-11-07T05:31:56Z"
}{
"status": "<string>",
"code": 123,
"error": "<string>",
"failed_operation_index": 123,
"failed_operation": "<string>",
"altered_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalogs
Alter tables
Perform alter operations on a specific table.
PATCH
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
/
{table_name}
Alter tables
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Catalog name.
Schema name.
Table name.
Body
application/json
Ordered list of alter operations to apply
Show child attributes
Show child attributes
Was this page helpful?
⌘I

